## IAnjutaStream IAnjutaStream — Implemented by plugins that can open file streams |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-stream.h>

    #define             IANJUTA_STREAM_ERROR
                        IAnjutaStream;
                        IAnjutaStreamIface;
    GQuark              ianjuta_stream_error_quark          (void);
    void                ianjuta_stream_open                 (IAnjutaStream *obj,
                                                             FILE *stream,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaStream

## Prerequisites

IAnjutaStream requires GObject.

## Known Derived Interfaces

IAnjutaStream is required by IAnjutaStreamSavable.

## Description

## Details

### IANJUTA_STREAM_ERROR

    #define IANJUTA_STREAM_ERROR ianjuta_stream_error_quark()

### IAnjutaStream

    typedef struct _IAnjutaStream IAnjutaStream;

### IAnjutaStreamIface

    typedef struct {
    	GTypeInterface g_iface;

    	void (*open) (IAnjutaStream *obj, FILE* stream, GError **err);
    } IAnjutaStreamIface;

### ianjuta_stream_error_quark ()

    GQuark              ianjuta_stream_error_quark          (void);

Returns : |

### ianjuta_stream_open ()

    void                ianjuta_stream_open                 (IAnjutaStream *obj,
                                                             FILE *stream,
                                                             GError **err);

The implementor opens the given stream.

`obj` : | Self
`stream` : | Stream to open from.
`err` : | Error propagation and reporting